#include <QtGui/QApplication>
#include <QTranslator>
#include "urpomainwindow.h"
#include <QLocale>

/*! @mainpage Urpo - Unix Remote Printing Operation


  @author Arto Hyvättinen
  @version 0.9
  @date 2010-06

  Urpo prints to remote computer via cups and ssh. Urpo is designed for Maemo.

  Urpo uses Qt library. It it translated into Finnish.

  */



int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QTranslator appTranslator;
    appTranslator.load("urpo_" + QLocale::system().name(),":/");
    a.installTranslator(&appTranslator);

    UrpoMainWindow w;
#if defined(Q_WS_S60)
    w.showMaximized();
#else
    w.show();
#endif

    return a.exec();
}
